%define with_maven 1
Name:          jsr107cache
Version:       1.0
Release:       %mkrel 1
Summary:       Java API for caching
Group:         Development/Java
License:       ASL
Url:           http://jsr107cache.sourceforge.net/
Source0:       http://kent.dl.sourceforge.net/project/jsr107cache/jsr107cache/jsr107cache-1.0/jsr107cache-1.0-bundle.jar
Source1:       jsr107cache-1.0-build.xml
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: junit
%if !%with_maven
BuildRequires: ant
%else
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
%endif
Requires:      jpackage-utils
BuildArch:     noarch

%description
JSR107 specifies API and semantics for temporary, in memory caching
of Java objects, including object creation, shared access, spooling,
invalidation, and consistency across JVM's. 

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
JSR107 - Java API for caching.

This package contains javadoc for %{name}.

%prep
%setup -q -c

for c in $(find . -name "*.class"); do
  rm -rf $c
done

rm -rf META-INF

mkdir -p src/main/java
(
  cd src/main/java
  jar -xf ../../../jsr107cache-%{version}-sources.jar
  rm -rf META-INF
)

for j in $(find . -name "*.jar"); do
  rm -rf $j
done

%if !%with_maven
  cp -pr %{SOURCE1} build.xml
%endif

%build

%if %with_maven
  export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
  mkdir -p $MAVEN_REPO_LOCAL
  mvn-jpp \
    -e \
    -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
    -Dmaven.test.skip=true \
    install javadoc:javadoc
%else
  ant jar apidoc
%endif

%install
mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/jsr107cache-%{version}.jar %{buildroot}%{_javadir}/

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_mavenpomdir}
%add_to_maven_depmap net.sf.jsr107cache jsr107cache %{version} JPP jsr107cache
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-jsr107cache.pom

mkdir -p %{buildroot}%{_javadocdir}/jsr107cache-%{version}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/jsr107cache-%{version}
ln -s jsr107cache-%{version} %{buildroot}%{_javadocdir}/jsr107cache

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root)
%{_javadir}/jsr107cache-%{version}.jar
%{_javadir}/jsr107cache.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt

%files javadoc
%defattr(-,root,root) 
%{_javadocdir}/jsr107cache-%{version}
%{_javadocdir}/jsr107cache



%changelog

* Sun Nov 06 2011 gil <gil> 1.0-1.mga2
+ Revision: 163993
- imported package jsr107cache


* Wed Jun 22 2011 gil <gil> 1.0-0.%%mkrel
- initial rpm